%define	name		libwpd
%define	version		0.7.1
%define	release		1mdk
%define api_version	1
%define lib_major	7
%define lib_name	%mklibname wpd- %{api_version} %{lib_major}

%define __libtoolize	/bin/true

Summary:	Libwpd is a library for reading/writing WordPerfect files.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	LGPL
Group:		Office
URL:		http://libwpd.sourceforge.net
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libglib2-devel
BuildRequires:	libgsf-devel

%description
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
At the moment there's only support for WordPerfect 6/7/8/9/10
document import.

%package -n %{name}-tools
Summary:	Tools to transform Wordperfect files to html or text.
Group:		Office

%description -n %{name}-tools
Tools to transform Wordperfect files to html or text.
At the moment there's only support for WordPerfect 6/7/8/9/10
document import.

%package -n %{lib_name}
Summary:	Libwpd is a library for reading/writing WordPerfect files.
Group:		Office
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}
Libwpd is a library for reading/writing WordPerfect files.
It is designed to be used by another program (e.g.: a word
processor) as an in-process component.
At the moment there's only support for WordPerfect 6/7/8/9/10
document import.

%package -n %{lib_name}-devel
Summary:	Headers and development files for libwpd.
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api_version}-devel
Provides:	libwpd0-devel
Obsoletes:	libwpd0-devel

%description -n %{lib_name}-devel
Headers and development files for libwpd.


%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-tools
%defattr(-,root,root)
%{_bindir}/*

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libwpd-1*.so.*
%doc COPYING TODO

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/libwpd-1.pc
%{_libdir}/libwpd-1*.so
%{_libdir}/libwpd-1*.la
%dir %{_includedir}/libwpd-1
%dir %{_includedir}/libwpd-1/libwpd
%{_includedir}/libwpd-1/libwpd/*

%changelog
* Sun Feb 01 2004 Marcel Pol <mpol@mandrake.org> 0.7.1-1mdk
- 0.7.1

* Tue Jan 20 2004 Marcel Pol <mpol@mandrake.org> 0.7.0-1mdk
- 0.7.0
- autoconf 2.5 macro
- don't run libtoolize
- new soname

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 0.6.6-1mdk
- 0.6.6

* Tue Sep 16 2003 Marcel Pol <mpol@gmx.net> 0.6.1-1mdk
- 0.6.1
- new soname

* Fri Aug 29 2003 Marcel Pol <mpol@gmx.net> 0.5.0-3mdk
- own dir

* Fri Jul 11 2003 Marcel Pol <mpol@gmx.net> 0.5.0-2mdk
- don't provide/obsolete libwpd0, it never existed
- own dir (distlint)

* Sat May 31 2003 Marcel Pol <mpol@gmx.net> 0.5.0-1mdk
- from Torstein Dybdahl <torsted@runbox.no> 
    - 0.5.0
    - libpackage now also provided
- mklibname with new versioning

* Sun Apr 27 2003 Marcel Pol <mpol@gmx.net> 0.4.0-1mdk
- 0.4.0

* Thu Mar 27 2003 Marcel Pol <mpol@gmx.net> 0.3.2-1mdk
- initial mandrake package
